<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: ExpansionVehicleGearbox Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.17</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d0/dd3/a07574.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">ExpansionVehicleGearbox Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for ExpansionVehicleGearbox:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../d0/dd3/a07574.png" usemap="#ExpansionVehicleGearbox_map" alt=""/>
  <map id="ExpansionVehicleGearbox_map" name="ExpansionVehicleGearbox_map">
<area href="../../da/d42/a07610.html" alt="ExpansionVehicleRotational" shape="rect" coords="0,0,222,24"/>
<area href="../../df/dd7/a07582.html" alt="ExpansionVehicleGearboxAdvanced" shape="rect" coords="0,112,222,136"/>
<area href="../../d2/d62/a07586.html" alt="ExpansionVehicleGearboxDefault" shape="rect" coords="0,168,222,192"/>
<area href="../../df/d2f/a07578.html" alt="ExpansionVehicleGearbox_CarScript" shape="rect" coords="0,224,222,248"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:ad8ee5afea81dc47dcc2522cacadea289"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/dd3/a07574.html#ad8ee5afea81dc47dcc2522cacadea289">ExpansionVehicleGearbox</a> (EntityAI pVehicle, <a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> rootPath)</td></tr>
<tr class="separator:ad8ee5afea81dc47dcc2522cacadea289"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8935c522ba5fc6280aa76f8846963022"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/dd3/a07574.html#a8935c522ba5fc6280aa76f8846963022">Count</a> ()</td></tr>
<tr class="separator:a8935c522ba5fc6280aa76f8846963022"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a336d62ae6e3b0a380e7142cfe8799ff8"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/dd3/a07574.html#a336d62ae6e3b0a380e7142cfe8799ff8">PreSimulate</a> (<a class="el" href="../../d4/d15/a07502.html">ExpansionPhysicsState</a> pState)</td></tr>
<tr class="separator:a336d62ae6e3b0a380e7142cfe8799ff8"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a9bd4f53ac6ad4b734f34dd8d1b58b53e"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/dd3/a07574.html#a9bd4f53ac6ad4b734f34dd8d1b58b53e">m_GearIndex</a></td></tr>
<tr class="separator:a9bd4f53ac6ad4b734f34dd8d1b58b53e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a35882ee767ec80bff2c0b046ef838bab"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../da/d6b/a07570.html">ExpansionVehicleEngineBase</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/dd3/a07574.html#a35882ee767ec80bff2c0b046ef838bab">m_Engine</a></td></tr>
<tr class="separator:a35882ee767ec80bff2c0b046ef838bab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0c917cd9199f6b294af9cebb0564e827"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/dd3/a07574.html#a0c917cd9199f6b294af9cebb0564e827">m_TimeToUncoupleClutch</a></td></tr>
<tr class="separator:a0c917cd9199f6b294af9cebb0564e827"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a27079a88e3a1802a959e81b52819bdfe"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/dd3/a07574.html#a27079a88e3a1802a959e81b52819bdfe">m_TimeToCoupleClutch</a></td></tr>
<tr class="separator:a27079a88e3a1802a959e81b52819bdfe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a59dab0e8fa24eca5316812f0be3edeaa"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/dd3/a07574.html#a59dab0e8fa24eca5316812f0be3edeaa">m_MaxClutchTorque</a></td></tr>
<tr class="separator:a59dab0e8fa24eca5316812f0be3edeaa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a990f644b7c51acf7a5a5ad657b7cdb98"><td class="memItemLeft" align="right" valign="top">ref array&lt; float &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/dd3/a07574.html#a990f644b7c51acf7a5a5ad657b7cdb98">m_Ratios</a> = new array&lt;float&gt;()</td></tr>
<tr class="separator:a990f644b7c51acf7a5a5ad657b7cdb98"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac0f5949c1eac3c4925c9df52b144707e"><td class="memItemLeft" align="right" valign="top">ref array&lt; <a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/dd3/a07574.html#ac0f5949c1eac3c4925c9df52b144707e">m_Gears</a> = new array&lt;<a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&gt;()</td></tr>
<tr class="separator:ac0f5949c1eac3c4925c9df52b144707e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af9a3d0126bf75e9357844014f339a668"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/dd3/a07574.html#af9a3d0126bf75e9357844014f339a668">m_Gear</a></td></tr>
<tr class="separator:af9a3d0126bf75e9357844014f339a668"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a74cd7cca8c04ef28e6c6873e397bd00c"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/dd3/a07574.html#a74cd7cca8c04ef28e6c6873e397bd00c">m_Clutch</a></td></tr>
<tr class="separator:a74cd7cca8c04ef28e6c6873e397bd00c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7b9eec482c371e67b62e29b7107b9e44"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/dd3/a07574.html#a7b9eec482c371e67b62e29b7107b9e44">m_ClutchTorque</a></td></tr>
<tr class="separator:a7b9eec482c371e67b62e29b7107b9e44"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aadb0cb7a4c0dffe95e95b6ea19a5ed4f"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/dd3/a07574.html#aadb0cb7a4c0dffe95e95b6ea19a5ed4f">m_DeltaVelocity</a></td></tr>
<tr class="separator:aadb0cb7a4c0dffe95e95b6ea19a5ed4f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../dd/d7e/a02984_source.html#l00051">51</a> of file <a class="el" href="../../dd/d7e/a02984_source.html">expansionvehiclegearbox.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="ad8ee5afea81dc47dcc2522cacadea289" name="ad8ee5afea81dc47dcc2522cacadea289"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad8ee5afea81dc47dcc2522cacadea289">&#9670;&#160;</a></span>ExpansionVehicleGearbox()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionVehicleGearbox::ExpansionVehicleGearbox </td>
          <td>(</td>
          <td class="paramtype">EntityAI&#160;</td>
          <td class="paramname"><em>pVehicle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td>
          <td class="paramname"><em>rootPath</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d7e/a02984_source.html#l00070">70</a> of file <a class="el" href="../../dd/d7e/a02984_source.html">expansionvehiclegearbox.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a8935c522ba5fc6280aa76f8846963022" name="a8935c522ba5fc6280aa76f8846963022"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8935c522ba5fc6280aa76f8846963022">&#9670;&#160;</a></span>Count()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int ExpansionVehicleGearbox::Count </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d7e/a02984_source.html#l00079">79</a> of file <a class="el" href="../../dd/d7e/a02984_source.html">expansionvehiclegearbox.c</a>.</p>

</div>
</div>
<a id="a336d62ae6e3b0a380e7142cfe8799ff8" name="a336d62ae6e3b0a380e7142cfe8799ff8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a336d62ae6e3b0a380e7142cfe8799ff8">&#9670;&#160;</a></span>PreSimulate()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ExpansionVehicleGearbox::PreSimulate </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/d15/a07502.html">ExpansionPhysicsState</a>&#160;</td>
          <td class="paramname"><em>pState</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d7e/a02984_source.html#l00084">84</a> of file <a class="el" href="../../dd/d7e/a02984_source.html">expansionvehiclegearbox.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="a74cd7cca8c04ef28e6c6873e397bd00c" name="a74cd7cca8c04ef28e6c6873e397bd00c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a74cd7cca8c04ef28e6c6873e397bd00c">&#9670;&#160;</a></span>m_Clutch</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">float ExpansionVehicleGearbox::m_Clutch</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d7e/a02984_source.html#l00065">65</a> of file <a class="el" href="../../dd/d7e/a02984_source.html">expansionvehiclegearbox.c</a>.</p>

</div>
</div>
<a id="a7b9eec482c371e67b62e29b7107b9e44" name="a7b9eec482c371e67b62e29b7107b9e44"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7b9eec482c371e67b62e29b7107b9e44">&#9670;&#160;</a></span>m_ClutchTorque</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">float ExpansionVehicleGearbox::m_ClutchTorque</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d7e/a02984_source.html#l00066">66</a> of file <a class="el" href="../../dd/d7e/a02984_source.html">expansionvehiclegearbox.c</a>.</p>

</div>
</div>
<a id="aadb0cb7a4c0dffe95e95b6ea19a5ed4f" name="aadb0cb7a4c0dffe95e95b6ea19a5ed4f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aadb0cb7a4c0dffe95e95b6ea19a5ed4f">&#9670;&#160;</a></span>m_DeltaVelocity</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">float ExpansionVehicleGearbox::m_DeltaVelocity</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d7e/a02984_source.html#l00068">68</a> of file <a class="el" href="../../dd/d7e/a02984_source.html">expansionvehiclegearbox.c</a>.</p>

</div>
</div>
<a id="a35882ee767ec80bff2c0b046ef838bab" name="a35882ee767ec80bff2c0b046ef838bab"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a35882ee767ec80bff2c0b046ef838bab">&#9670;&#160;</a></span>m_Engine</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../da/d6b/a07570.html">ExpansionVehicleEngineBase</a> ExpansionVehicleGearbox::m_Engine</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d7e/a02984_source.html#l00054">54</a> of file <a class="el" href="../../dd/d7e/a02984_source.html">expansionvehiclegearbox.c</a>.</p>

</div>
</div>
<a id="af9a3d0126bf75e9357844014f339a668" name="af9a3d0126bf75e9357844014f339a668"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af9a3d0126bf75e9357844014f339a668">&#9670;&#160;</a></span>m_Gear</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int ExpansionVehicleGearbox::m_Gear</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d7e/a02984_source.html#l00063">63</a> of file <a class="el" href="../../dd/d7e/a02984_source.html">expansionvehiclegearbox.c</a>.</p>

</div>
</div>
<a id="a9bd4f53ac6ad4b734f34dd8d1b58b53e" name="a9bd4f53ac6ad4b734f34dd8d1b58b53e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9bd4f53ac6ad4b734f34dd8d1b58b53e">&#9670;&#160;</a></span>m_GearIndex</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int ExpansionVehicleGearbox::m_GearIndex</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d7e/a02984_source.html#l00053">53</a> of file <a class="el" href="../../dd/d7e/a02984_source.html">expansionvehiclegearbox.c</a>.</p>

</div>
</div>
<a id="ac0f5949c1eac3c4925c9df52b144707e" name="ac0f5949c1eac3c4925c9df52b144707e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac0f5949c1eac3c4925c9df52b144707e">&#9670;&#160;</a></span>m_Gears</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref array&lt;<a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&gt; ExpansionVehicleGearbox::m_Gears = new array&lt;<a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&gt;()</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d7e/a02984_source.html#l00061">61</a> of file <a class="el" href="../../dd/d7e/a02984_source.html">expansionvehiclegearbox.c</a>.</p>

</div>
</div>
<a id="a59dab0e8fa24eca5316812f0be3edeaa" name="a59dab0e8fa24eca5316812f0be3edeaa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a59dab0e8fa24eca5316812f0be3edeaa">&#9670;&#160;</a></span>m_MaxClutchTorque</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">float ExpansionVehicleGearbox::m_MaxClutchTorque</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d7e/a02984_source.html#l00058">58</a> of file <a class="el" href="../../dd/d7e/a02984_source.html">expansionvehiclegearbox.c</a>.</p>

</div>
</div>
<a id="a990f644b7c51acf7a5a5ad657b7cdb98" name="a990f644b7c51acf7a5a5ad657b7cdb98"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a990f644b7c51acf7a5a5ad657b7cdb98">&#9670;&#160;</a></span>m_Ratios</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref array&lt;float&gt; ExpansionVehicleGearbox::m_Ratios = new array&lt;float&gt;()</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d7e/a02984_source.html#l00060">60</a> of file <a class="el" href="../../dd/d7e/a02984_source.html">expansionvehiclegearbox.c</a>.</p>

</div>
</div>
<a id="a27079a88e3a1802a959e81b52819bdfe" name="a27079a88e3a1802a959e81b52819bdfe"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a27079a88e3a1802a959e81b52819bdfe">&#9670;&#160;</a></span>m_TimeToCoupleClutch</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">float ExpansionVehicleGearbox::m_TimeToCoupleClutch</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d7e/a02984_source.html#l00057">57</a> of file <a class="el" href="../../dd/d7e/a02984_source.html">expansionvehiclegearbox.c</a>.</p>

</div>
</div>
<a id="a0c917cd9199f6b294af9cebb0564e827" name="a0c917cd9199f6b294af9cebb0564e827"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0c917cd9199f6b294af9cebb0564e827">&#9670;&#160;</a></span>m_TimeToUncoupleClutch</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">float ExpansionVehicleGearbox::m_TimeToUncoupleClutch</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d7e/a02984_source.html#l00056">56</a> of file <a class="el" href="../../dd/d7e/a02984_source.html">expansionvehiclegearbox.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>DayzExpansion/Vehicles/Scripts/4_world/dayzexpansion_vehicles/classes/vehicles/modules/<a class="el" href="../../dd/d7e/a02984_source.html">expansionvehiclegearbox.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d0/dd3/a07574.html">ExpansionVehicleGearbox</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
